DOVEADM-IMPORT(1)

NAME
doveadm-import - Import messages matching given search query

SYNOPSIS

doveadm [GLOBAL OPTIONS] import [-S socket_path] [-U source_user] [-s] -A source_mail_driver:source_mail_path

doveadm [GLOBAL OPTIONS] import [-S socket_path] [-U source_user] [-s] -F file source_mail_driver:source_mail_path

doveadm [GLOBAL OPTIONS] import [-S socket_path] [-U source_user] [-s] -u user source_mail_driver:source_mail_path

DESCRIPTION

This command can be used to import mails from another mail storage specified by source_mail_driver, source_mail_path, and other settings specified via -p parameters to one or more user's mailboxes. All the mailboxes are imported under the given dest_parent mailbox, or to root level if dest_parent is empty (""). The search_query can be used to restrict which mailboxes or messages are imported. By default the import is done in destination user's context, you can use -U to change this.

In the first form, the mails will be imported for all users.

In the second form, the mails will be imported for all users listed in the given file.

In the final form, the mails will be imported only for given user (s).

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

OPTIONS

-A

        If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

        When the SQL userdb module is used, make sure that the userdb_sql_iterate_query setting setting matches your database layout.

        When using the LDAP userdb module, make sure that the userdb_fields setting and userdb_ldap_iterate_fields setting settings match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file

        Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

--no-userdb-lookup

        Do not perform userdb lookup. Use the USER environment variable to specify the username.

-S socket_path

        The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

        This allows an administrator to execute doveadm(1) mail commands through the given socket.

-p setting=value

        Overrides the configuration setting for source storage.

-s

        When the -s option is present, dest_parent and all new mailboxes under it will be subscribed to.

-U username

        When the -U option is present, the source box is opened with given username.

-u user/mask

        Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

ARGUMENTS

dest_parent

        The name of the destination mailbox, under which the mails should be imported. doveadm(1) will create the dest_parent mailbox if it doesn't exist.

search_query

        Copy messages matching this search query. See doveadm-search-query(7) for details.

source_mail_driver:source_mail_path

        This argument specifies the mail_driver and mail_path settings for the source location. The -p parameter can optionally be used to specify additional settings. For example: maildir:/backup/20101126/jane.doe/Maildir or -p mail_alt_path=/nfsmount/john.doe/mdbox mdbox:/srv/mail/john.doe/mdbox

EXAMPLE

This example imports all mails from a backup under a backup-20101026 mailbox:

    doveadm import -u jane.doe@example.org \
      mdbox:/backup/20101026/jane.doe/mdbox backup-20101026 all

Another example that imports only messages from ⟨foo@example.org⟩ in the backup mdbox's INBOX to jane's INBOX:

    doveadm import -u jane.doe@example.org \
      mdbox:~/mdbox-backup "" mailbox INBOX from foo@example.org

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1), doveadm-search-query(7)